Subject: Re: [PATCH kernel v9 12/32] powerpc/spapr: vfio: Switch from iommu_table to new iommu_table_group

From: Alexey Kardashevskiy <[email-masked]>
Date: Thu, 30 Apr 2015 12:30:49 +1000

On 04/29/2015 12:49 PM, David Gibson wrote:
> On Sat, Apr 25, 2015 at 10:14:36PM +1000, Alexey Kardashevskiy wrote:
>> Modern IBM POWERPC systems support multiple (currently two) TCE tables
>> per IOMMU group (a.k.a. PE). This adds a iommu_table_group container
>> for TCE tables. Right now just one table is supported.
>>
>> For P5IOC2 and IODA, iommu_table_group is embedded into PE struct
>> (pnv_ioda_pe and pnv_phb) and does not require iommu_free_table(), only .
>> iommu_reset_table().
>>
>> For pSeries, this replaces multiple calls of kzalloc_node() with a new
>> iommu_pseries_group_alloc() helper and stores the table group struct
>> pointer into the pci_dn struct. For release, a iommu_table_group_free()
>> helper is added.
>>
>> This should cause no behavioural change.
>>
>> Signed-off-by: Alexey Kardashevskiy <[email-masked]>
>> [aw: for the vfio related changes]
>> Acked-by: Alex Williamson <[email-masked]>
>
> I'm not particularly fond of the "table_group" name, but I can't
> really think of a better name for now.  So,

I asked Ben again. iommu_state is not much better either. I'd stick to 
iommu_table_group.

> Reviewed-by: David Gibson <[email-masked]>

-- 
Alexey